import React, { useEffect, useState } from "react";
import Taro, { useDidShow } from "@tarojs/taro";
import { View, Input, Text, Image, Form, Button } from "@tarojs/components";
import Layout from "../../../layout/index";
import Tab from "../../../compents/tab/index";
import Container from "../../../compents/container/index";
import "./index.scss";
import request from "../../../util/request";
import getQueryValue from "../../../util/getQueryValue";
import IsLogin from "../../../layout/IsLogin";

const index = props => {
  const { id, keeperId } = getQueryValue();

  const [data, setData] = useState({});

  useDidShow(() => {
    console.log("useDidShow");
    if (keeperId) {
      getShopKeeperDetail();
    } else {
      setData({});
    }
  });

  const getShopKeeperDetail = () => {
    request({ url: `/taShopKeeper/${keeperId}`, method: "get" }).then(res => {
      console.log(res, "getDetail");
      setData(res.data.data);
    });
  };

  const editShopKeeper = value => {

    if (keeperId) {
      Taro.showModal({
        title: "确定修改该老板信息吗",
        cancelColor: "#d2d2d2",
        confirmColor: "#274191",
        success: res => {
          if (res.confirm) {
            request({
              url: `/taShopKeeper/${keeperId}`,
              data: { ...data, ...value },
              method: "put"
            }).then(res => {
              Taro.navigateBack({
                delta: 1
              });
            });
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    } else {
      request({
        url: "/taShopKeeper",
        data: { ...value, shopId: id },
        method: "post"
      }).then(res => {
        Taro.navigateBack({
          delta: 1
        });
      });
    }
  };
  function formSubmit(e) {
    console.log(e.detail, "formSubmit");

    if (!e.detail.value.name) {
      Taro.showToast({
        title: "请输入名称",
        icon: "none",
        duration: 2000
      });
      return;
    }
    if (!e.detail.value.phone) {
      Taro.showToast({
        title: "请输入号码",
        icon: "none",
        duration: 2000
      });
      return;
    }
    editShopKeeper(e.detail.value);
  }

  const formReset = () => {
    console.log("formReset");
  };

  return (
    <IsLogin>
      <View className="addnewhouse">
        <Form onSubmit={formSubmit} onReset={formReset}>
          <Layout>
            <View className="inputstyle-view">
              <Text className="title">姓名</Text>
              <Container className="inputstyle-view-card ">
                <Input
                  name="name"
                  value={data.name}
                  placeholderClass="placeholderinput"
                  className="input"
                  type="text"
                  placeholder=""
                />
              </Container>
            </View>
            <View className="inputstyle-view">
              <Text className="title">电话</Text>
              <Container className="inputstyle-view-card ">
                <Input
                  name="phone"
                  value={data.phone}
                  placeholderClass="placeholderinput"
                  className="input"
                  type="text"
                  placeholder=""
                />
              </Container>
            </View>
            {/* <View className='inputstyle-view'>
                    <Text className='title'>微信号</Text>
                    <Container className='inputstyle-view-card '  >
                        <Input name='personId' placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
               <View className='inputstyle-view'>
                    <Text className='title'>房源数</Text>
                    <Container className='inputstyle-view-card '  >
                        <Input name='nnn' placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>logo</Text>
                    <Container className='inputstyle-view-card ' style={{padding:'0.6rem',width:'2rem',height:'2rem'}} >
                        <Image className='guide-view-img'  style={{width:'100%',height:'100%'}} src={uploadicon || "https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg"}></Image>
                    </Container>
                </View> */}
          </Layout>
          <Tab
            formType="submit"
            className="addhousetab"
            pageState="3"
            value={["取消", "保存"]}
            onClick={[
              e => {
                Taro.navigateBack({
                  delta: 1
                });
              },
              () => {}
            ]}
          ></Tab>

          {/* </Input> */}
        </Form>
      </View>
    </IsLogin>
  );
};

export default index;
