import React, { useState } from "react";
import Taro, { useDidShow } from "@tarojs/taro";
import { View, Input, Text } from "@tarojs/components";
import Layout from "../../../layout/index";
import Tab from "../../../compents/tab/index";
import Container from "../../../compents/container/index";
import "./index.scss";
import getQueryValue from "../../../util/getQueryValue";
import request from "../../../util/request";
import IsLogin from "../../../layout/IsLogin";
const index = props => {
  const { id } = getQueryValue();

  const [name, setName] = useState("");
  const [data, setData] = useState({});

  useDidShow(() => {
    if (id) {
      getMateTagGroupDetail();
    }
  });
  const getMateTagGroupDetail = () => {
    request({ url: `/taMateTagGroup/${id}` }).then(res => {
      setName(res.data.data.name);
      setData(res.data.data);
    });
  };

  const onSave = () => {
    console.log(333);

    if(!name){
      Taro.showToast({
        title: "请输入名称",
        icon: "none",
        duration: 2000
      });
      return;
    }

    if (id) {
      Taro.showModal({
        title: "确定修改该标签组吗？",
        // content: row.name,
        cancelColor: "#d2d2d2",
        confirmColor: "#274191",
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");

            request({
              url: `/taMateTagGroup/${id}`,
              data: { ...data, name: name },
              method: "put"
            }).then(res => {
              Taro.showModal({
                title: "修改成功",
                content: "点击确认按钮，返回上级菜单",
                showCancel: false,
                success: function(res) {
                  if (res.confirm) {
                    console.log("用户点击确定");

                    Taro.navigateBack({
                      delta: 1
                    });
                  } else if (res.cancel) {
                    console.log("用户点击取消");
                  }
                }
              });
            });
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    } else {
      request({ url: "/taMateTagGroup", data: { name }, method: "post" }).then(
        res => {
          Taro.navigateBack({
            delta: 1
          });
        }
      );
    }
  };

  function handNameChange(e) {
    setName(e.detail.value);
  }

  return (
    <IsLogin>
      <View className="addnewhouse">
        <Layout>
          <View className="inputstyle-view">
            <Text className="title">标签组名称</Text>
            <Container className="inputstyle-view-card ">
              <Input
                placeholderClass="placeholderinput"
                value={name}
                onInput={handNameChange}
                className="input"
                type="text"
                placeholder=""
              />
            </Container>
          </View>
        </Layout>
        <Tab
          className="addhousetab"
          pageState="3"
          value={["取消", id ? "确认修改" : "确认添加"]}
          onClick={[
            e =>
              Taro.navigateBack({
                delta: 1
              }),
            () => onSave()
          ]}
        ></Tab>
      </View>
    </IsLogin>
  );
};

export default index;
