import React, { useState } from "react";
import Taro, { useDidShow } from "@tarojs/taro";
import "./index.scss";
import { View, Text } from "@tarojs/components";
import ContainerLayout from "../../compents/container/index";
import Tab from "../../compents/tab/index";
import Layout from "../../layout/index";
import request from "../../util/request";
import IsLogin from "../../layout/IsLogin";

const house = props => {
  const [list, setList] = useState([]);

  useDidShow(() => {
    getMateTagGroupList();
  });

  const getMateTagGroupList = () => {
    request({ url: "/taMateTagGroup", params: { pageSize: 9999 } }).then(
      res => {
        const { records, ...page } = res.data.data;
        setList(records);
      }
    );
  };

  const onDelete = row => {
    Taro.showModal({
      title: "确定删除该标签组吗？",
      content: row.name,
      cancelColor: "#d2d2d2",
      confirmColor: "#274191",
      success: function(res) {
        if (res.confirm) {
          console.log("用户点击确定");

          request({
            url: `/taMateTagGroup/${row.groupId}`,
            method: "delete"
          }).then(res => {
            getMateTagGroupList({ pageNum: 1, pageSize: 10 });
          });
          // Taro.showModal({
          //   title: `改标签组有${row.user.number}个标签仍在使用。请先清空标签，再删除标签组`,
          //   showCancel: false,
          //   // cancelColor:'#d2d2d2',
          //   confirmColor: "#274191",
          //   success: function (res) {
          //     if (res.confirm) {
          //       console.log('用户点击确定')

          //     } else if (res.cancel) {
          //       console.log('用户点击取消')
          //     }
          //   }
          // })
        } else if (res.cancel) {
          console.log("用户点击取消");
        }
      }
    });
  };

  return (
    <IsLogin>
      <View className="account">
        <Layout>
          {list.map((x, index) => {
            return (
              <View className="account-view">
                {/* <Text className='account-view-title'>标签组编号：{index + 1}</Text> */}
                <ContainerLayout className="account-view-card">
                  <View
                    className="top"
                    onClick={() => {
                      Taro.navigateTo({
                        url: `/pages/mateTag/index?id=${x.groupId}`
                      });
                    }}
                  >
                    <View>标签组名称：{x.name}</View>
                  </View>
                  <View className="bottom">
                    <View
                    style={{height:'100%',width:'50%'}}
                      onClick={() => {
                        Taro.navigateTo({
                          url: `/pages/label/edit/index?id=${x.groupId}`
                        });
                      }}
                    >
                      编辑
                    </View>
                    <View onClick={() => onDelete(x)}>删除</View>
                  </View>
                </ContainerLayout>
              </View>
            );
          })}
        </Layout>
        <Tab
          value={["+新增标签组"]}
          color="#ffffff"
          onClick={() => {
            Taro.navigateTo({ url: `/pages/label/edit/index` });
          }}
        ></Tab>
      </View>
    </IsLogin>
  );
};

export default house;
