import Taro from '@tarojs/taro'
import { useSelector, useDispatch } from "react-redux"

import request from '../util/request'

export default function useUser(store) {
  let user = undefined
  try {
    user = useSelector(s => s.user)
  } catch (e) {
    user = store ? store.getState().user : undefined
  }

  let dispatch = undefined
  try {
    dispatch = useDispatch()
  } catch (e) {
    dispatch = store ? store.dispatch : undefined
  }

    const getUser = code => {
        request({url:`/login?code=${code}`,method:"POST"}).then((res)=>{
          
          const usr = res.data.data
          dispatch({type: 'setUser', payload: usr})

          if (usr.token) {
            Taro.setStorage({
              key: "token",
              data: usr.token
            })
          }
        })
    }

    return {
        user,
        getUser,
    }
}
